## qt6-multimedia 6.2.4

=== CMakeLists.txt ===
# Generated from qtmultimedia.pro.

cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtMultimedia
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt Multimedia Libraries"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core)
find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS Gui Network Svg Widgets Quick Qml QuickTest QuickControls2)

if(NOT TARGET Qt::Gui)
    message(NOTICE "Skipping the build as the condition \"TARGET Qt::Gui\" is not met.")
    return()
endif()
if(NOT TARGET Qt::Network)
    message(NOTICE "Skipping the build as the condition \"TARGET Qt::Network\" is not met.")
    return()
endif()

qt_build_repo()

=== examples/CMakeLists.txt ===
# Generated from examples.pro.

qt_examples_build_begin(EXTERNAL_BUILD)

add_subdirectory(multimedia)
add_subdirectory(multimediawidgets)

qt_examples_build_end()

=== config.tests/alsa/CMakeLists.txt ===
# Generated from alsa.pro.

cmake_minimum_required(VERSION 3.16)
project(config_test_alsa LANGUAGES C CXX)

foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
    find_package(${p})
endforeach()

if(QT_CONFIG_COMPILE_TEST_LIBRARIES)
    link_libraries(${QT_CONFIG_COMPILE_TEST_LIBRARIES})
endif()
if(QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS)
    foreach(lib ${QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS})
        if(TARGET ${lib})
            link_libraries(${lib})
        endif()
    endforeach()
endif()

add_executable(${PROJECT_NAME}
    alsatest.cpp
)

=== config.tests/avfoundation/CMakeLists.txt ===
# Generated from avfoundation.pro.

cmake_minimum_required(VERSION 3.16)
project(config_test_avfoundation LANGUAGES C CXX)

foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
    find_package(${p})
endforeach()

if(QT_CONFIG_COMPILE_TEST_LIBRARIES)
    link_libraries(${QT_CONFIG_COMPILE_TEST_LIBRARIES})
endif()
if(QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS)
    foreach(lib ${QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS})
        if(TARGET ${lib})
            link_libraries(${lib})
        endif()
    endforeach()
endif()

add_executable(${PROJECT_NAME}
    main.mm
)

=== config.tests/evr/CMakeLists.txt ===
# Generated from evr.pro.

cmake_minimum_required(VERSION 3.16)
project(config_test_evr LANGUAGES C CXX)

foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
    find_package(${p})
endforeach()

if(QT_CONFIG_COMPILE_TEST_LIBRARIES)
    link_libraries(${QT_CONFIG_COMPILE_TEST_LIBRARIES})
endif()
if(QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS)
    foreach(lib ${QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS})
        if(TARGET ${lib})
            link_libraries(${lib})
        endif()
    endforeach()
endif()

add_executable(${PROJECT_NAME}
    main.cpp
)

=== config.tests/linux_v4l/CMakeLists.txt ===
# Generated from linux_v4l.pro.

cmake_minimum_required(VERSION 3.16)
project(config_test_linux_v4l LANGUAGES C CXX)

foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
    find_package(${p})
endforeach()

if(QT_CONFIG_COMPILE_TEST_LIBRARIES)
    link_libraries(${QT_CONFIG_COMPILE_TEST_LIBRARIES})
endif()
if(QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS)
    foreach(lib ${QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS})
        if(TARGET ${lib})
            link_libraries(${lib})
        endif()
    endforeach()
endif()

add_executable(${PROJECT_NAME}
    main.cpp
)

=== config.tests/mmrenderer/CMakeLists.txt ===
# Generated from mmrenderer.pro.

cmake_minimum_required(VERSION 3.16)
project(config_test_mmrenderer LANGUAGES C CXX)

foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
    find_package(${p})
endforeach()

if(QT_CONFIG_COMPILE_TEST_LIBRARIES)
    link_libraries(${QT_CONFIG_COMPILE_TEST_LIBRARIES})
endif()
if(QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS)
    foreach(lib ${QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS})
        if(TARGET ${lib})
            link_libraries(${lib})
        endif()
    endforeach()
endif()

add_executable(${PROJECT_NAME}
    mmrenderertest.cpp
)

=== config.tests/wmf/CMakeLists.txt ===
# Generated from wmf.pro.

cmake_minimum_required(VERSION 3.16)
project(config_test_wmf LANGUAGES C CXX)

foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
    find_package(${p})
endforeach()

if(QT_CONFIG_COMPILE_TEST_LIBRARIES)
    link_libraries(${QT_CONFIG_COMPILE_TEST_LIBRARIES})
endif()
if(QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS)
    foreach(lib ${QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS})
        if(TARGET ${lib})
            link_libraries(${lib})
        endif()
    endforeach()
endif()

add_executable(${PROJECT_NAME}
    main.cpp
)

=== config.tests/wmsdk/CMakeLists.txt ===
# Generated from wmsdk.pro.

cmake_minimum_required(VERSION 3.16)
project(config_test_wmsdk LANGUAGES C CXX)

foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
    find_package(${p})
endforeach()

if(QT_CONFIG_COMPILE_TEST_LIBRARIES)
    link_libraries(${QT_CONFIG_COMPILE_TEST_LIBRARIES})
endif()
if(QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS)
    foreach(lib ${QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS})
        if(TARGET ${lib})
            link_libraries(${lib})
        endif()
    endforeach()
endif()

add_executable(${PROJECT_NAME}
    main.cpp
)

=== examples/multimediawidgets/CMakeLists.txt ===
# Generated from multimediawidgets.pro.

if(TARGET Qt::Widgets)
    qt_internal_add_example(camera)
    qt_internal_add_example(videographicsitem)
    qt_internal_add_example(videowidget)
    qt_internal_add_example(player)
endif()

=== src/multimediaquick/CMakeLists.txt ===
#####################################################################
## MultimediaQuickPrivate Module:
#####################################################################

set(qml_files
    "Video.qml"
)

qt_internal_add_qml_module(MultimediaQuickPrivate
    URI "QtMultimedia"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 5
    CLASS_NAME QMultimediaQuickModule
    PLUGIN_TARGET quickmultimedia
    NO_GENERATE_PLUGIN_SOURCE
    NO_PLUGIN_OPTIONAL
    DEPENDENCIES QtQuick
    CONFIG_MODULE_NAME multimediaquick
    INTERNAL_MODULE
    SOURCES
        qquickimagecapture.cpp qquickimagecapture_p.h
        qquickimagepreviewprovider.cpp qquickimagepreviewprovider_p.h
#        qquickplaylist.cpp qquickplaylist_p.h
        qquickmediaplayer_p.h
        qquicksoundeffect_p.h
        qquickvideooutput.cpp qquickvideooutput_p.h
        qsgvideonode_p.cpp qsgvideonode_p.h
        qsgvideotexture.cpp qsgvideotexture_p.h
        qtmultimediaquickglobal_p.h
        qtmultimediaquicktypes_p.h
    QML_FILES
        ${qml_files}
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::MultimediaPrivate
        Qt::Quick
        Qt::QuickPrivate
)

target_sources(quickmultimedia PRIVATE multimedia_plugin.cpp)

=== src/multimediawidgets/CMakeLists.txt ===
# Generated from multimediawidgets.pro.

#####################################################################
## MultimediaWidgets Module:
#####################################################################

qt_internal_add_module(MultimediaWidgets
    SOURCES
        qtmultimediawidgetdefs.h
        qvideowidget.cpp qvideowidget.h qvideowidget_p.h
    LIBRARIES
        Qt::MultimediaPrivate
        Qt::WidgetsPrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Multimedia
        Qt::Widgets
    PRIVATE_MODULE_INTERFACE
        Qt::MultimediaPrivate
        Qt::WidgetsPrivate
)

## Scopes:
#####################################################################

qt_internal_extend_target(MultimediaWidgets CONDITION QT_FEATURE_graphicsview
    SOURCES
        qgraphicsvideoitem.cpp qgraphicsvideoitem.h
)

=== debian/changelog ===
qt6-multimedia (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 31 Mar 2022 00:20:26 +0200

qt6-multimedia (6.2.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:41:20 +0100

qt6-multimedia (6.2.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Dec 2021 16:22:15 +0100

qt6-multimedia (6.2.2-1) experimental; urgency=medium

  * Initial release (Closes: #999690)

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Nov 2021 00:39:03 +0100

=== debian/control ===
Source: qt6-multimedia
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               libasound2-dev [linux-any],
               libgl-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libqt6opengl6-dev (>= 6.2.4+dfsg~),
               libqt6shadertools6-dev (>= 6.2.4~),
               libqt6svg6-dev (>= 6.2.4~),
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qml6-module-qtquick (>= 6.2.4+dfsg~),
               qml6-module-qttest (>= 6.2.4+dfsg~),
               qt6-base-dev (>= 6.2.4+dfsg~),
               qt6-base-private-dev (>= 6.2.4+dfsg~),
               qt6-declarative-dev (>= 6.2.4+dfsg~),
               qt6-declarative-private-dev (>= 6.2.4+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-multimedia
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-multimedia.git
Rules-Requires-Root: no

Package: libqt6multimedia6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Multimedia library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a set of APIs to play and record media, and manage a
 collection of media content.

Package: libqt6multimediaquick6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Multimedia Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a set of APIs to play and record media, and manage a
 collection of media content with the Quick module.

Package: libqt6multimediawidgets6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Multimedia Widgets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a set of widgets to play and record media, and manage a
 collection of media content.

Package: qml6-module-qtmultimedia
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: qml6-module-qtquick, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Multimedia QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Multimedia QML module for QtDeclarative.

Package: qt6-multimedia-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libglib2.0-dev,
         libqt6multimedia6 (= ${binary:Version}),
         libqt6multimediaquick6 (= ${binary:Version}),
         libqt6multimediawidgets6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 Multimedia - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt applications
 using Qt Multimedia libraries.

=== debian/watch ===
version=4
https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/qtmultimedia-everywhere-src-(.*)\.tar\.xz

## qt6-multimedia 6.3.1

=== debian/changelog ===
qt6-multimedia (6.3.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:22:50 +0200

qt6-multimedia (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Jul 2022 16:09:16 +0200

qt6-multimedia (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 15 Jun 2022 21:58:33 +0200

qt6-multimedia (6.2.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:06:49 +0200

=== debian/control ===
--- 
+++ 
@@ -9,23 +9,23 @@
                libgl-dev,
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
-               libqt6opengl6-dev (>= 6.2.4+dfsg~),
-               libqt6shadertools6-dev (>= 6.2.4~),
-               libqt6svg6-dev (>= 6.2.4~),
+               libqt6opengl6-dev (>= 6.3.1+dfsg~),
+               libqt6shadertools6-dev (>= 6.3.1~),
+               libqt6svg6-dev (>= 6.3.1~),
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qtquick (>= 6.2.4+dfsg~),
-               qml6-module-qttest (>= 6.2.4+dfsg~),
-               qt6-base-dev (>= 6.2.4+dfsg~),
-               qt6-base-private-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-private-dev (>= 6.2.4+dfsg~),
+               qml6-module-qtquick (>= 6.3.1+dfsg~),
+               qml6-module-qttest (>= 6.3.1+dfsg~),
+               qt6-base-dev (>= 6.3.1+dfsg~),
+               qt6-base-private-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-multimedia
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-multimedia.git

## qt6-multimedia 6.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 )
 
 find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core)
-find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS Gui Network Svg Widgets Quick Qml QuickTest QuickControls2)
+find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS Gui Network Svg Widgets Quick Qml QuickTest QuickControls2 Quick3D)
 
 if(NOT TARGET Qt::Gui)
     message(NOTICE "Skipping the build as the condition \"TARGET Qt::Gui\" is not met.")

=== examples/CMakeLists.txt ===
qt_examples_build_begin(EXTERNAL_BUILD)

add_subdirectory(multimedia)
if (QT_FEATURE_spatialaudio)
    add_subdirectory(spatialaudio)
endif()

qt_examples_build_end()

=== src/CMakeLists.txt ===
# Generated from src.pro.

add_subdirectory(resonance-audio)
add_subdirectory(multimedia)
if(ANDROID)
    add_subdirectory(android)
endif()
if (QT_FEATURE_spatialaudio)
    add_subdirectory(spatialaudio)
endif()

# special case begin
if(TARGET Qt::Quick)
    add_subdirectory(multimediaquick)
endif()
if(TARGET Qt::Quick3D AND QT_FEATURE_spatialaudio)
    add_subdirectory(spatialaudioquick3d)
endif()

if(TARGET Qt::Widgets)
    add_subdirectory(multimediawidgets)
endif()

add_subdirectory(plugins)
#special case end

=== config.tests/alsa/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,13 @@
 
 cmake_minimum_required(VERSION 3.16)
 project(config_test_alsa LANGUAGES C CXX)
+
+if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH)
+    set(CMAKE_SYSTEM_PREFIX_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH}")
+endif()
+if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH)
+    set(CMAKE_SYSTEM_FRAMEWORK_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH}")
+endif()
 
 foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
     find_package(${p})

=== config.tests/avfoundation/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,13 @@
 
 cmake_minimum_required(VERSION 3.16)
 project(config_test_avfoundation LANGUAGES C CXX)
+
+if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH)
+    set(CMAKE_SYSTEM_PREFIX_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH}")
+endif()
+if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH)
+    set(CMAKE_SYSTEM_FRAMEWORK_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH}")
+endif()
 
 foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
     find_package(${p})

=== config.tests/evr/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,13 @@
 
 cmake_minimum_required(VERSION 3.16)
 project(config_test_evr LANGUAGES C CXX)
+
+if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH)
+    set(CMAKE_SYSTEM_PREFIX_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH}")
+endif()
+if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH)
+    set(CMAKE_SYSTEM_FRAMEWORK_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH}")
+endif()
 
 foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
     find_package(${p})

=== config.tests/gpu_vivante/CMakeLists.txt ===
# Generated from gpu_vivante.pro.

cmake_minimum_required(VERSION 3.16)
project(config_test_gpu_vivante LANGUAGES C CXX)

if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH)
    set(CMAKE_SYSTEM_PREFIX_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH}")
endif()
if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH)
    set(CMAKE_SYSTEM_FRAMEWORK_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH}")
endif()

foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
    find_package(${p})
endforeach()

if(QT_CONFIG_COMPILE_TEST_LIBRARIES)
    link_libraries(${QT_CONFIG_COMPILE_TEST_LIBRARIES})
endif()
if(QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS)
    foreach(lib ${QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS})
        if(TARGET ${lib})
            link_libraries(${lib})
        endif()
    endforeach()
endif()

add_executable(${PROJECT_NAME}
    main.cpp
)

=== config.tests/gstreamer/CMakeLists.txt ===
# Generated from gstreamer.pro.

cmake_minimum_required(VERSION 3.16)
project(config_test_gstreamer LANGUAGES C CXX)

if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH)
    set(CMAKE_SYSTEM_PREFIX_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH}")
endif()
if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH)
    set(CMAKE_SYSTEM_FRAMEWORK_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH}")
endif()

foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
    find_package(${p})
endforeach()

if(QT_CONFIG_COMPILE_TEST_LIBRARIES)
    link_libraries(${QT_CONFIG_COMPILE_TEST_LIBRARIES})
endif()
if(QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS)
    foreach(lib ${QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS})
        if(TARGET ${lib})
            link_libraries(${lib})
        endif()
    endforeach()
endif()

add_executable(${PROJECT_NAME}
    main.cpp
)

=== config.tests/gstreamer_appsrc/CMakeLists.txt ===
# Generated from gstreamer_appsrc.pro.

cmake_minimum_required(VERSION 3.16)
project(config_test_gstreamer_appsrc LANGUAGES C CXX)

if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH)
    set(CMAKE_SYSTEM_PREFIX_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH}")
endif()
if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH)
    set(CMAKE_SYSTEM_FRAMEWORK_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH}")
endif()

foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
    find_package(${p})
endforeach()

if(QT_CONFIG_COMPILE_TEST_LIBRARIES)
    link_libraries(${QT_CONFIG_COMPILE_TEST_LIBRARIES})
endif()
if(QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS)
    foreach(lib ${QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS})
        if(TARGET ${lib})
            link_libraries(${lib})
        endif()
    endforeach()
endif()

add_executable(${PROJECT_NAME}
    main.cpp
)

=== config.tests/linux_v4l/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,13 @@
 
 cmake_minimum_required(VERSION 3.16)
 project(config_test_linux_v4l LANGUAGES C CXX)
+
+if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH)
+    set(CMAKE_SYSTEM_PREFIX_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH}")
+endif()
+if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH)
+    set(CMAKE_SYSTEM_FRAMEWORK_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH}")
+endif()
 
 foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
     find_package(${p})

=== config.tests/mmrenderer/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,13 @@
 
 cmake_minimum_required(VERSION 3.16)
 project(config_test_mmrenderer LANGUAGES C CXX)
+
+if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH)
+    set(CMAKE_SYSTEM_PREFIX_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH}")
+endif()
+if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH)
+    set(CMAKE_SYSTEM_FRAMEWORK_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH}")
+endif()
 
 foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
     find_package(${p})

=== config.tests/wmf/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,13 @@
 
 cmake_minimum_required(VERSION 3.16)
 project(config_test_wmf LANGUAGES C CXX)
+
+if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH)
+    set(CMAKE_SYSTEM_PREFIX_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH}")
+endif()
+if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH)
+    set(CMAKE_SYSTEM_FRAMEWORK_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH}")
+endif()
 
 foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
     find_package(${p})

=== debian/changelog ===
qt6-multimedia (6.4.2-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove references of libqt6quick3dspatialaudio6 in qt6-multimedia-
    dev (Closes: #1035457).

 -- Patrick Franz <deltaone@debian.org>  Sat, 06 May 2023 17:40:13 +0200

qt6-multimedia (6.4.2-4) unstable; urgency=medium

  * Team upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 27 Jan 2023 15:48:31 -0300

qt6-multimedia (6.4.2-3) experimental; urgency=medium

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add qt6-quick3d as a build dependency. This introduces a new binary package
    providing a QML module for Quick 3D spatial audio.

  [ Patrick Franz ]
  * Update symbols from buildlogs.
  * Update d/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 22 Jan 2023 23:22:21 -0300

qt6-multimedia (6.4.2-2) unstable; urgency=medium

  * Team upload.
  * Add other optional build dependencies (Closes: #1029362):
    - libav* and libswscale-dev: provides ffmepg.
    - libpulse-dev: PulseAudio support.
    The other non -Qt realted optional build dependencies are not meant for
    Linux.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 21 Jan 2023 18:13:42 -0300

qt6-multimedia (6.4.2-1) unstable; urgency=medium

  * Team upload.
  * Bump package version to 6.4.2-1, the tarball is the same (matches md5sum).
  * Backport fix for QTBUG-108221 as
    provide_default_implementation_for_qplatformmediadevices.patch
    (Closes: #1027894). Thanks Moritz Schlarb for the pointer.
    - Adjust symbols files. The symbols are all private and not currently
      being exported, so it is a safe change.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 21 Jan 2023 13:01:24 -0300

qt6-multimedia (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:58:30 +0100

qt6-multimedia (6.4.2~rc1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Bump Standards-Version to 4.6.2 (no changes needed).
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:26:57 +0100

qt6-multimedia (6.4.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Adjust build-dependencies.

 -- Patrick Franz <deltaone@debian.org>  Thu, 15 Dec 2022 00:06:12 +0100

qt6-multimedia (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release 6.4.1 (Closes: #1012871).
  * Bump Qt B-Ds to 6.4.1.
  * Remove fix-build-on-unsupported-platforms.patch as it has been
    applied upstream.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 17 Nov 2022 16:26:45 +0100

qt6-multimedia (6.4.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Enable link time optimization (Closes: #1015621).
  * Fix FTCBFS, thx to Helmut Grohne: Pass -DQT_HOST_PATH (Closes:
    #1023745).

 -- Patrick Franz <deltaone@debian.org>  Sun, 13 Nov 2022 14:22:08 +0100

qt6-multimedia (6.4.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.
  * Add patch to fix build failure on i386.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 13:51:54 +0200

qt6-multimedia (6.4.0-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump minimum CMake version in order to get pkg-config's .pc files.

  [ Patrick Franz ]
  * Increase CMake verbosity level.

  [ Lu YaNing ]
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Add libqt6spatialaudio6 package.
  * Add symbols file.
  * Update symbols.
  * Update d/copyright.
  * Add libqt6spatialaudio6 Depends.
  * Update Descriptions.
  * Modify the gstreamer plug-in library package location.

 -- Patrick Franz <deltaone@debian.org>  Sat, 22 Oct 2022 15:21:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,29 +3,37 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
-Build-Depends: cmake (>= 3.18~),
+Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                libasound2-dev [linux-any],
+               libavcodec-dev,
+               libavdevice-dev,
+               libavfilter-dev,
+               libavformat-dev,
+               libavutil-dev,
                libgl-dev,
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
-               libqt6opengl6-dev (>= 6.3.1+dfsg~),
-               libqt6shadertools6-dev (>= 6.3.1~),
-               libqt6svg6-dev (>= 6.3.1~),
+               libpulse-dev,
+               libqt6opengl6-dev (>= 6.4.2+dfsg~),
                libssl-dev,
+               libswscale-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qtquick (>= 6.3.1+dfsg~),
-               qml6-module-qttest (>= 6.3.1+dfsg~),
-               qt6-base-dev (>= 6.3.1+dfsg~),
-               qt6-base-private-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
+               qml6-module-qtquick (>= 6.4.2+dfsg~),
+               qml6-module-qttest (>= 6.4.2+dfsg~),
+               qt6-base-dev (>= 6.4.2+dfsg~),
+               qt6-base-private-dev (>= 6.4.2+dfsg~),
+               qt6-declarative-dev (>= 6.4.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
+               qt6-quick3d-dev,
+               qt6-shadertools-dev (>= 6.4.2~),
+               qt6-svg-dev (>= 6.4.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-multimedia
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-multimedia.git
@@ -67,6 +75,18 @@
  This package contains a set of widgets to play and record media, and manage a
  collection of media content.
 
+Package: libqt6spatialaudio6
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 6 Spatial Audio library
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains a rich set of QML types and C++ classes to implement
+ sound fields in 3D space.
+
 Package: qml6-module-qtmultimedia
 Architecture: any
 Multi-Arch: same
@@ -78,6 +98,20 @@
  .
  This package contains the Multimedia QML module for QtDeclarative.
 
+Package: qml6-module-qtquick3d-spatialaudio
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: qml6-module-qtquick,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: Qt 6 Multimedia QML spatial audio module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the Multimedia QML spatial audio module for
+ QtDeclarative.
+
 Package: qt6-multimedia-dev
 Architecture: any
 Multi-Arch: same
@@ -86,6 +120,7 @@
          libqt6multimedia6 (= ${binary:Version}),
          libqt6multimediaquick6 (= ${binary:Version}),
          libqt6multimediawidgets6 (= ${binary:Version}),
+         libqt6spatialaudio6 (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Description: Qt 6 Multimedia - development files

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all  optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	cmake_extra_args += -DQT_HOST_PATH=/usr
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(cmake_extra_args)

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-multimedia 6.6.1

=== debian/changelog ===
qt6-multimedia (6.6.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 Jan 2024 20:26:25 +0100

qt6-multimedia (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.
  * Remove patches that have been applied upstream.
  * Update build-dependencies.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Remove binary package libqt6multimediaquick6.
  * Update d/copyright.
  * Build with EIGEN_DONT_VECTORIZE on powerpc to fix FTBFS, thx to John
    Paul Adrian Glaubitz (Closes: #1057050).

 -- Patrick Franz <deltaone@debian.org>  Wed, 20 Dec 2023 20:05:06 +0100

qt6-multimedia (6.4.2-11) unstable; urgency=medium

  [ Patrick Franz ]
  * Add patch to build with system eigen3, thx to Christian Marillat
    (Closes: #1038988).

 -- Patrick Franz <deltaone@debian.org>  Tue, 26 Sep 2023 21:23:07 +0200

qt6-multimedia (6.4.2-10) unstable; urgency=medium

  [ Patrick Franz ]
  * Release to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 26 Jul 2023 17:53:03 +0200

qt6-multimedia (6.4.2-9) experimental; urgency=medium

  [ Patrick Franz ]
  * Add binary package for examples.
  * Add binary packages for documentation.

 -- Patrick Franz <deltaone@debian.org>  Wed, 26 Jul 2023 11:43:39 +0200

qt6-multimedia (6.4.2-8) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.
  * Do not install examples (Closes: #1041636).

 -- Patrick Franz <deltaone@debian.org>  Fri, 21 Jul 2023 18:23:57 +0200

qt6-multimedia (6.4.2-7) unstable; urgency=medium

  * Team upload.
  * Properly spell the "linux-any" architecture marker for the libva-dev build
    dependency, so it actually applies to Linux architectures. This actually
    enables the VA-API support on Linux, as 6.4.2-6 meant to.

 -- Pino Toscano <pino@debian.org>  Sun, 09 Jul 2023 07:52:22 +0200

qt6-multimedia (6.4.2-6) unstable; urgency=medium

  * Team upload.
  * Add libva-dev in order to also provide VAAPI support.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 08 Jul 2023 11:53:07 -0300

=== debian/control ===
Source: qt6-multimedia
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               libasound2-dev [linux-any],
               libavcodec-dev,
               libavdevice-dev,
               libavfilter-dev,
               libavformat-dev,
               libavutil-dev,
               libeigen3-dev,
               libgl-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libpulse-dev,
               libssl-dev,
               libswscale-dev,
               libva-dev [linux-any],
               libvulkan-dev [linux-any],
               libxext-dev,
               libxrandr-dev,
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qt6-base-dev (>= 6.6.1+dfsg~),
               qt6-base-private-dev (>= 6.6.1+dfsg~),
               qt6-declarative-dev (>= 6.6.1+dfsg~),
               qt6-declarative-private-dev (>= 6.6.1+dfsg~),
               qt6-quick3d-dev (>= 6.6.1~),
               qt6-quick3d-private-dev (>= 6.6.1~),
               qt6-shadertools-dev (>= 6.6.1~),
               qt6-svg-dev (>= 6.6.1~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-multimedia
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-multimedia.git
Rules-Requires-Root: no

Package: libqt6multimedia6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Multimedia library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a set of APIs to play and record media, and manage a
 collection of media content.

Package: libqt6multimediawidgets6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Multimedia Widgets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a set of widgets to play and record media, and manage a
 collection of media content.

Package: libqt6spatialaudio6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Spatial Audio library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a rich set of QML types and C++ classes to implement
 sound fields in 3D space.

Package: qml6-module-qtmultimedia
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: qml6-module-qtquick, ${misc:Depends}, ${shlibs:Depends},
Breaks: libqt6multimediaquick6,
Replaces: libqt6multimediaquick6,
Description: Qt 6 Multimedia QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Multimedia QML module for QtDeclarative.

Package: qml6-module-qtquick3d-spatialaudio
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: qml6-module-qtquick, ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Multimedia QML spatial audio module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Multimedia QML spatial audio module for
 QtDeclarative.

Package: qt6-multimedia-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libglib2.0-dev,
         libqt6multimedia6 (= ${binary:Version}),
         libqt6multimediawidgets6 (= ${binary:Version}),
         libqt6spatialaudio6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 Multimedia - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt applications
 using Qt Multimedia libraries.

Package: qt6-multimedia-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 Multimedia documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for Qt 6 Multimedia.

Package: qt6-multimedia-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 Multimedia HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for Qt 6 Multimedia.

Package: qt6-multimedia-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Multimedia examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt Multimedia submodule.

## qt6-multimedia 6.6.2

=== debian/changelog ===
qt6-multimedia (6.6.2-4ubuntu1) oracular; urgency=medium

  * Mark one symbol as optional, disappeared on ppc64el

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 20:09:36 +0200

qt6-multimedia (6.6.2-4) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.0, no changes required.
  * Manually pass -DPFFFT_SIMD_DISABLE to the CFLAGS on hurd-i386: the output
    of "uname -m" on that architecture is not matched by the check that sets
    -DPFFFT_SIMD_DISABLE for 32bit x86 architectures.

 -- Pino Toscano <pino@debian.org>  Thu, 18 Jul 2024 19:22:15 +0200

qt6-multimedia (6.6.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Fix FTBFS failure on powerpc thx to John Paul Adrian Glaubitz
    (Closes: #1057050).

 -- Patrick Franz <deltaone@debian.org>  Thu, 20 Jun 2024 12:13:48 +0200

qt6-multimedia (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:28:51 +0200

qt6-multimedia (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 17 Feb 2024 14:45:18 +0100

=== debian/control ===
--- 
+++ 
@@ -23,21 +23,21 @@
                libxext-dev,
                libxrandr-dev,
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.1+dfsg~),
-               qt6-base-private-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.1+dfsg~),
-               qt6-quick3d-dev (>= 6.6.1~),
-               qt6-quick3d-private-dev (>= 6.6.1~),
-               qt6-shadertools-dev (>= 6.6.1~),
-               qt6-svg-dev (>= 6.6.1~),
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-base-private-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
+               qt6-quick3d-dev (>= 6.6.2~),
+               qt6-quick3d-private-dev (>= 6.6.2~),
+               qt6-shadertools-dev (>= 6.6.2~),
+               qt6-svg-dev (>= 6.6.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
                      qt6-documentation-tools (>= 6.6~) <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-multimedia
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-multimedia.git

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,14 @@
 	cmake_extra_args += -DQT_HOST_PATH=/usr
 endif
 
+ifneq (,$(filter $(DEB_HOST_ARCH),powerpc))
+	export DEB_CXXFLAGS_MAINT_APPEND = -DEIGEN_DONT_VECTORIZE
+endif
+
+ifeq (hurd-i386,$(DEB_HOST_ARCH))
+	export DEB_CFLAGS_MAINT_APPEND = -DPFFFT_SIMD_DISABLE
+endif
+
 %:
 	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja
 
@@ -18,6 +26,15 @@
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
 		$(cmake_extra_args)
 
-execute_after_dh_auto_install:
+override_dh_auto_build-indep:
+	dh_auto_build -- docs
+
+override_dh_auto_install-indep:
+	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
+	# Remove build path from index files.
+	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
+                sed -i 's@$(CURDIR)/@@g' {} \;
+
+execute_after_dh_auto_install-arch:
 	# Reproducible builds: remove build paths from .prl files
 	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl
